Bug 172691 - fasync_cache leaks memory slowly
fasync_cache leaks memory slowly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-08 09:44 EST by Avi Kivity
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 18:15:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2005-11-08 09:44:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
  OBJS ACTIVE  USE OBJ SIZE  SLABS OBJ/SLAB CACHE SIZE NAME 
328224 328222  99%    0.02K   2104      156      8416K fasync_cache 
 
... and growing slowly. 
 
it is my understanding that fasync_cache should not be larger than the number 
of open files in the system (currently ~6000) 
 
the system is a dual opteron (single core) serving nfs, samba, http, and 
shells. a post[1] to lkml leads me to believe it is samba related. Haven't 
tested it yet. 
 
[1]  
http://www.ussg.iu.edu/hypermail/linux/kernel/0510.2/1589.html, 
http://www.ussg.iu.edu/hypermail/linux/kernel/0510.3/0034.html 
 

Version-Release number of selected component (if applicable):
kernel-smp-2.6.13-1.1532_FC4

How reproducible:
Didn't try

Steps to Reproduce:
1. serve smb using samba (?)  
2. slabtop  
 
 

Actual Results:  slabtop shows a large fasync_cache 

Expected Results:  small fasync_cache 

Additional info:

running lvm atop raid-1
Comment 1 Avi Kivity 2005-11-08 09:50:27 EST
I can confirm it is samba related. mounting a share on another machine (mount 
-t cifs) and doing a subversion checkout on that mount causes the cache to 
grow by several hundred objects per second. setting the fs.leases-enables 
sysctl to 0 stops the leak. 
Comment 2 Dave Jones 2005-11-10 13:55:29 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Avi Kivity 2005-11-10 15:16:36 EST
2.6.14-1.1637_FC4smp is bad. 
Comment 5 Dave Jones 2005-11-14 14:19:57 EST
fixed in cvs, will be in builds 1640 and above.
Will get this pushed out in a day or so.
(Interim builds will appear at http://people.redhat.com/davej/kernels/Fedora/FC4/)
Comment 6 Avi Kivity 2005-11-14 17:43:50 EST
excellent! thank you. 

Note You need to log in before you can comment on or make changes to this bug.